%define __libtoolize    /bin/true

Name:           kerry
Version:        0.2.1
Release:        %mkrel 8
Summary:        Desktop search tool
License:        GPL
Group:          Graphical desktop/KDE
Source:         http://developer.kde.org/~binner/%{name}/%{name}-%{version}.tar.bz2
Patch0:		kerry-fr.patch
Patch1:		kerry-pt_BR.patch
Patch2:         kerry-no-indexing-on-battery.patch
BuildRequires:  kdebase-devel
BuildRequires:  libbeagle-devel >= 0.2.5
BuildRequires:  desktop-file-utils
URL:		http://en.opensuse.org/Kerry
Requires:	beagle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A desktop search tool integrated with Beagle and KDE.

%prep
%setup -q 
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
# new pot files. Need regenerate entries
make -f admin/Makefile.common

%configure2_5x

%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --add-only-show-in="KDE" \
  --remove-category="Application" \
  --remove-category="Utility" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --add-category="System" \
  --dir %buildroot%{_datadir}/applications/kde %buildroot%{_datadir}/applications/kde/kerry.desktop

rm -f %buildroot/%{_prefix}/shutdown/beagled-shutdown.sh
%find_lang %{name}
%find_lang kcmbeagle
cat kcmbeagle.lang >> %{name}.lang

%clean
rm -rf %buildroot

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_libdir}/*kerry*
%_datadir/applications/kde/kcmbeagle.desktop
%_datadir/applnk/.hidden/kcmkerry.desktop

%{_datadir}/applications/kde/kerry.desktop
%{_datadir}/autostart/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/apps/kerry/search-running.mng




%changelog
* Thu Oct 04 2007 Funda Wang <fundawang@mandriva.org> 0.2.1-8mdv2008.0
+ Revision: 95365
- really fix fr translation patch
- fix fr translation patch

  + Anne Nicolas <anne.nicolas@mandriva.com>
    - increase release
    - fix typo
    - Complete chains
    - Fix typo

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix french translation (tks to anne)
    - Fix a translation
    - Add more french translation

* Wed Oct 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.1-6mdv2008.0
+ Revision: 95200
- [BUGFIX] Do not index when running on battery (Bug #34045)

* Mon May 14 2007 Helio Chissini de Castro <helio@mandriva.com> 0.2.1-4mdv2008.0
+ Revision: 26741
- Added pt_BR tranalations by Felipe
- Use configure macro.


* Sun Apr 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.1-3mdv2007.1
+ Revision: 150162
- Fix french translations

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix desktop categories and only show in KDE

* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 0.2.1-2mdv2007.1
+ Revision: 142031
- tag kerry mo files with lang

* Tue Dec 05 2006 Laurent Montel <lmontel@mandriva.com> 0.2.1-1mdv2007.1
+ Revision: 90715
- 0.2.1
- 0.2

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - 0.2 beta 2

* Sat Aug 26 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 58117
- fix versionned locale files (bug #24662)

* Mon Jul 31 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.1.1-1mdv2007.0
+ Revision: 42625
- Import kerry

* Sun Jul 30 2006 Gaetan Lehmann (INRA) <glehmann@mandriva.org> 0.1.1-1mdv2007.0
- New release 0.1.1

* Sat Jul 29 2006 Laurent MONTEL <lmontel@mandriva.com> 0.1-5
- Add patch from jonas wustrack <jwustrack@mandriva.com> fix big mem leak into kerry (thanks)

* Wed Jul 12 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-4mdv2007.0
- Rebuild for new menu && extension
- Use macro for icons
- Add %%post and %%postun (needed by menu for mdv <= 2006.0)

* Thu May 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.1-2mdk
- requires beagle

* Thu Apr 27 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.1-1mdk
- initial package

